%define srcname glad2

Name:           python-%{srcname}
Version:        2.0.8
Release:        %mkrel 2
Summary:        Multi-Language GL/GLES/EGL/GLX/WGL Loader-Generator
Group:          Development/Python
# Mostly MIT, Apache-2.0 for Khronos and EGL specifications/headers.
License:        MIT and Apache-2.0
URL:            https://github.com/Dav1dde/glad
Source0:        %pypi_source %{srcname}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)

%description
Glad uses the official Khronos-XML specs to generate a GL/GLES/EGL/GLX/WGL
Loader made for your needs.

%package -n     %{srcname}
Summary:        Multi-Language GL/GLES/EGL/GLX/WGL Loader-Generator
Group:          Development/Python
Requires:       python3-glad2 = %{version}-%{release}

%description -n %{srcname}
Glad uses the official Khronos-XML specs to generate a GL/GLES/EGL/GLX/WGL
Loader made for your needs.

%package -n     python3-%{srcname}
Summary:        Multi-Language GL/GLES/EGL/GLX/WGL Loader-Generator
Group:          Development/Python

%description -n python3-%{srcname}
Glad uses the official Khronos-XML specs to generate a GL/GLES/EGL/GLX/WGL
Loader made for your needs.

%prep
%autosetup -n %{srcname}-%{version}
sed -i -e '1{\@^#!@d}' glad/__main__.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files glad

%files -n %{srcname}
%doc README.md
%license LICENSE
%{_bindir}/glad

%files -n python3-%{srcname} -f %{pyproject_files}


%changelog
* Sun Mar 02 2025 wally <wally> 2.0.8-2.mga10
+ Revision: 2158254
- rebuild for python3.13

* Tue Oct 01 2024 daviddavid <daviddavid> 2.0.8-1.mga10
+ Revision: 2102167
- new version: 2.0.8

* Sat Sep 14 2024 daviddavid <daviddavid> 2.0.7-1.mga10
+ Revision: 2095973
- new version: 2.0.7

* Fri Mar 22 2024 daviddavid <daviddavid> 2.0.6-1.mga10
+ Revision: 2051405
- new version: 2.0.6

* Tue Feb 06 2024 daviddavid <daviddavid> 2.0.5-1.mga10
+ Revision: 2037923
- new version: 2.0.5

* Thu Dec 28 2023 papoteur <papoteur> 2.0.4-2.mga10
+ Revision: 2023029
- rebuild for python 3.12

* Mon Nov 27 2023 daviddavid <daviddavid> 2.0.4-1.mga10
+ Revision: 2010302
- initial package python-glad2

